#!/usr/bin/env python3
import importlib
import rospy
from sensor_msgs.msg import Joy

TELEMETRY_MODULE_PATH = "/home/k-lab/catkin_ws/devel/lib/python3/dist-packages/rtc2021/msg/_Telemetry.py"
spec = importlib.util.spec_from_file_location("Telemetry", TELEMETRY_MODULE_PATH)
foo = importlib.util.module_from_spec(spec)
spec.loader.exec_module(foo)
Telemetry = foo.Telemetry


def callback(data):
    rospy.loginfo(str(data))


def listener():
    rospy.init_node("listener", anonymous=True)
    rospy.Subscriber("/node_telemetry/telemetry", Telemetry, callback=callback)
    rospy.Subscriber("/joy", Joy, callback=callback)
    rospy.spin()


if __name__ == "__main__":
    listener()