#!/usr/bin/env python
import importlib

import rospy

COMMAND_MODULE_PATH = "/home/k-lab/catkin_ws/devel/lib/python3/dist-packages/rtc2021/msg/_Command.py"
spec = importlib.util.spec_from_file_location("Command", COMMAND_MODULE_PATH)
foo = importlib.util.module_from_spec(spec)
spec.loader.exec_module(foo)
Command = foo.Command

def talker():
    rospy.init_node('talker', anonymous=True)
    pub = rospy.Publisher('/node_tx/command', Command, queue_size=10)
    rate = rospy.Rate(10) # 10hz
    while not rospy.is_shutdown():
        pub.publish(Command(wheel_right=1))
        rate.sleep()

if __name__ == '__main__':
    try:
        talker()
    except rospy.ROSInterruptException:
        pass
